## ksmbd-tools 3.4.7

=== meson_options.txt ===
option(
  'rundir',
  type: 'string',
  description: 'Directory to store modifiable per-process data (LOCALSTATEDIR/run by default)',
)

option(
  'systemdsystemunitdir',
  type: 'string',
  description: 'Directory to install systemd unit file (query pkg-config by default)',
)

option(
  'krb5',
  type: 'feature',
  value: 'disabled',
  description: 'Support for Kerberos 5 authentication',
)

option(
  'krb5_name',
  type: 'string',
  value: 'krb5',
  description: 'Dependency name used when checking Kerberos 5 support',
)

## ksmbd-tools 3.4.4

=== debian/changelog ===
ksmbd-tools (3.4.4-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Fri, 21 Jan 2022 09:37:09 +0100

ksmbd-tools (3.4.3-2) unstable; urgency=medium

  * Install provided systemd service file. (Closes: #1002904)

 -- Gürkan Myczko <tar@debian.org>  Mon, 03 Jan 2022 09:02:06 +0100

ksmbd-tools (3.4.3-1) unstable; urgency=medium

  * New upstream version.
  * Update maintainer address.

 -- Gürkan Myczko <tar@debian.org>  Sat, 25 Dec 2021 21:27:42 +0100

ksmbd-tools (3.4.2-1) unstable; urgency=medium

  * Initial release. (Closes: #987720)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 01 Oct 2021 09:46:16 +0200

=== debian/control ===
Source: ksmbd-tools
Section: utils
Priority: optional
Maintainer: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13), autoconf, pkg-config, libnl-3-dev, libnl-genl-3-dev, libglib2.0-dev
Standards-Version: 4.6.0
Homepage: https://github.com/cifsd-team/ksmbd-tools
Rules-Requires-Root: no

Package: ksmbd-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: samba
Description: cifsd kernel server userspace utilities
 This is an alternative implementation of the CIFS/SMB3 control utilities.
 The ksmbd part is focused on delivering speedy SMB3 file serving performance
 and also supporting features more implemented in kernel-space, like RDMA
 support for SMB Direct. KSMBD doesn't aim to be as comprehensive as well
 known Samba for CIFS/SMB support in user-space but is just focused on the
 performance and kernel feature angle.
 .
 The tools can either be used with the kernel module built separately or
 right from in the Linux kernel.

## ksmbd-tools 3.4.5

=== debian/changelog ===
ksmbd-tools (3.4.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports. (Closes: 1005775)

 -- Gürkan Myczko <tar@debian.org>  Mon, 11 Jul 2022 13:43:07 +0200

ksmbd-tools (3.4.5-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Tue, 07 Jun 2022 12:36:53 +0200

## ksmbd-tools 3.4.7

=== debian/changelog ===
ksmbd-tools (3.4.7-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright:
    - bump years.
    - update path for asn1.c.

 -- Gürkan Myczko <tar@debian.org>  Thu, 02 Feb 2023 07:11:00 +0100

ksmbd-tools (3.4.6-1) unstable; urgency=medium

  * New upstream version.
  * d/docs: README was renamed to README.md, drop configuration.txt.
  * d/copyright: update years.
  * d/examples: update smb.conf.example name.

 -- Gürkan Myczko <tar@debian.org>  Mon, 10 Oct 2022 07:17:27 +0200

## ksmbd-tools 3.4.8

=== debian/changelog ===
ksmbd-tools (3.4.8-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.
  * d/*.8 replaced with upstream manpages.

 -- Gürkan Myczko <tar@debian.org>  Wed, 12 Apr 2023 22:26:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), autoconf, pkg-config, libnl-3-dev, libnl-genl-3-dev, libglib2.0-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/cifsd-team/ksmbd-tools
 Rules-Requires-Root: no

## ksmbd-tools 3.4.9

=== debian/changelog ===
ksmbd-tools (3.4.9-1) unstable; urgency=medium

  * New upstream version.
  * d/README.Debian updated.

 -- Gürkan Myczko <tar@debian.org>  Mon, 31 Jul 2023 22:03:45 +0200

ksmbd-tools (3.4.8-2) unstable; urgency=medium

  * Upload to unstable.
  * d/control: add Vcs fields.

 -- Gürkan Myczko <tar@debian.org>  Sun, 11 Jun 2023 12:50:39 +0200

## ksmbd-tools 3.5.1

=== debian/changelog ===
ksmbd-tools (3.5.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:48:25 +1100

ksmbd-tools (3.5.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:15:34 +0000

ksmbd-tools (3.5.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Tue, 14 Nov 2023 10:52:17 +0100

ksmbd-tools (3.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Wed, 01 Nov 2023 16:37:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: ksmbd-tools
 Section: utils
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), autoconf, pkg-config, libnl-3-dev, libnl-genl-3-dev, libglib2.0-dev
 Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/debian/ksmbd-tools
+Vcs-Git: https://salsa.debian.org/debian/ksmbd-tools.git
+Rules-Requires-Root: no
 Homepage: https://github.com/cifsd-team/ksmbd-tools
-Rules-Requires-Root: no
 
 Package: ksmbd-tools
 Architecture: any

## ksmbd-tools 3.5.2

=== debian/changelog ===
ksmbd-tools (3.5.2-3) unstable; urgency=medium

  * Move aliased files from / to /usr. (Closes: #1073721)

 -- Alex Myczko <tar@debian.org>  Sat, 27 Jul 2024 12:15:21 +0000

ksmbd-tools (3.5.2-2) unstable; urgency=medium

  * d/install: update path.
  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 06 May 2024 12:36:45 +0200

ksmbd-tools (3.5.2-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * d/control: change pkg-config to pkgconf.

 -- Gürkan Myczko <tar@debian.org>  Mon, 08 Apr 2024 12:31:59 +0200

## ksmbd-tools 3.5.3

=== debian/changelog ===
ksmbd-tools (3.5.3-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Thu, 12 Dec 2024 14:20:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: ksmbd-tools
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
-Build-Depends: debhelper-compat (= 13), autoconf, pkg-config, libnl-3-dev, libnl-genl-3-dev, libglib2.0-dev
-Standards-Version: 4.6.2
+Maintainer: Alex Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13), autoconf, pkgconf, libnl-3-dev, libnl-genl-3-dev, libglib2.0-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/ksmbd-tools
 Vcs-Git: https://salsa.debian.org/debian/ksmbd-tools.git
 Rules-Requires-Root: no

## ksmbd-tools 3.5.4

=== debian/changelog ===
ksmbd-tools (3.5.4-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.2.
  * d/copyright:
    - bump years.
    - update FSF address.

 -- Alex Myczko <tar@debian.org>  Thu, 09 Oct 2025 10:38:29 +0200

## ksmbd-tools 3.5.5

=== debian/changelog ===
ksmbd-tools (3.5.5-2) unstable; urgency=medium

  * Stop syslog spam, thanks Eddie Carswell. (Closes: #1069328)

 -- Alex Myczko <tar@debian.org>  Mon, 03 Nov 2025 08:19:43 +0100

ksmbd-tools (3.5.5-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 17 Oct 2025 08:11:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), autoconf, pkgconf, libnl-3-dev, libnl-genl-3-dev, libglib2.0-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/ksmbd-tools
 Vcs-Git: https://salsa.debian.org/debian/ksmbd-tools.git
 Rules-Requires-Root: no

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/cifsd-team/ksmbd-tools/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ksmbd-tools 3.5.6

=== debian/changelog ===
ksmbd-tools (3.5.6-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Thu, 04 Dec 2025 18:40:53 +0000

ksmbd-tools (3.5.5-3) unstable; urgency=medium

  * d/control:
    - limit Arch to linux-any.
    - drop Rules-Requires-Root.

 -- Alex Myczko <tar@debian.org>  Fri, 14 Nov 2025 09:54:17 +0100
